#!/usr/bin/env sh

# v shorthand for neovim
if exist nvim; then
    alias v="nvim"
    alias vim="nvim"

    # open notes with my vim zettelkasten plugin
    # TODO better implementation conditional on zk & zettelkasten existing
    alias vn='nvim +"lua require \"zk.commands\".get(\"ZkCd\")()" +"edit ~/documents/notes/index.md"'
    alias vs='nvim +"lua require \"personal.scratchpad\".create()"'
fi
